<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");
   include("logos.php"); 
   encabezado2($target);  
 	$tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}

$plan=$_GET["pl"];
$cons=$_GET["cons"];
class paginar{
function tam($Plan,$TpCons){			
    
    switch ($TpCons) {
    case 1:
        $sql_add='';
        break;
    case 2:
        $sql_add=' and (id_estado=14 or id_estado=15)';
        break;
    case 3:
        $sql_add=' and id_estado=16';
        break;
    case 4:
        $sql_add=' and id_estado=13';
        break;
}
                        
			
            $this->userObj=new select_zonas();
			$sql="SELECT g.guia  FROM guias_proceso as g ";
			$add=" inner join ordenes as o on (g.orden=o.orden) where g.id_planilla = '".$Plan."' ".$sql_add." ";
			$row_paginar=$this->userObj->get_tam($sql,$add);
			return $row_paginar;
}

}
$paginarObj=new paginar();
$row_paginar=$paginarObj->tam($plan,$cons);
$total_paginas= ceil($row_paginar/$tamano_pagina);

switch ($cons) {
    case 1:
        $paginanombre='DETALLE GUIAS PLANILLA No '.$plan;
        $sql_add='';
        $_SESSION['nom_xls']='GuiasPlanilla_'.$plan;
        break;
    case 2:
        $paginanombre='DETALLE GUIAS ENTREGADAS PLANILLA No '.$plan;
        $sql_add=' and (g.id_estado=14 or g.id_estado=15)';
        $_SESSION['nom_xls']='EntregasPlanilla_'.$plan;
        break;
    case 3:
        $paginanombre='DETALLE GUIAS EN DEVOLUCION PLANILLA No '.$plan;
        $sql_add=' and g.id_estado=16';
        $_SESSION['nom_xls']='DevolucionPlanilla_'.$plan;
        break;
    case 4:
        $paginanombre='DETALLE GUIAS PENDIENTES PLANILLA No '.$plan;
        $sql_add=' and g.id_estado=13';
        $_SESSION['nom_xls']='PendientesPlanilla_'.$plan;
        break;
}


		unset($titulos);
		unset($query_lista_registros);
		$titulos[]='GUIA';
        $titulos[]='ESTADO';
        $titulos[]='ORDEN';
		$titulos[]='FECHA';
        $titulos[]='PRODUCTO';		
		$titulos[]='EMPRESA';
		$titulos[]='DESTINATARIO';
		$titulos[]='DIRECCION';
		$titulos[]='TELEFONO';
		$titulos[]='CIUDAD';
				
		if($cons==3){
                $sql="SELECT g.guia,d.nombre as estado, g.orden, date(o.fecha_creacion) as fecha_creacion, o.producto, g.empresa, g.destinatario, 
			  g.direccion, g.telefono, g.ciudad       
			  FROM guias_proceso as g ";
                 $add=" inner join devoluciones as d on g.id_devolucion=d.id_devolucion inner join ordenes as o on (g.orden=o.orden) where g.id_planilla = '".$plan."' ".$sql_add." order by id_conse ";               
            }else{
             $sql="SELECT g.guia,d.nombre as estado, g.orden, date(o.fecha_creacion) as fecha_creacion, o.producto, g.empresa, g.destinatario, 
			  g.direccion, g.telefono, g.ciudad       
			  FROM guias_proceso as g ";
             $add=" inner join estados_gestion as d on g.id_estado=d.id_estado inner join ordenes as o on (g.orden=o.orden) where g.id_planilla = '".$plan."' ".$sql_add." order by id_conse ";   
            }
        $query_lista_registros=$sql.$add;;          		
		$_SESSION['sql_nomina']=$query_lista_registros;
		$_SESSION['titulos']=$titulos;

?>
<CENTER>
<table width="700" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="10" class=miTable_th1><div align="center">..:: <? echo $paginanombre;?> ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="10" class=miTable_th1><a href='xls_alfa.php'><img src='imagenes/xls_icon.gif'></a></td>
</tr>
<?
class pendiente_ods{

function detalle_guia($inicio,$tamano_pagina,$Plan,$TpCons){
    include("logos.php");
    
    $this->conexionObj2=new conexion();
    $this->conexionObj2->conectarse();
    
    
    switch ($TpCons) {
    case 1:
        $sql_add='';
        break;
    case 2:
        $sql_add=' and (g.id_estado=14 or g.id_estado=15)';
        break;
    case 3:
        $sql_add=' and g.id_estado=16';
        break;
    case 4:
        $sql_add=' and g.id_estado=13';
        break;
}
    
            if($TpCons==3){
                $sql="SELECT g.guia, g.orden, o.producto, g.empresa, g.destinatario, 
			  g.direccion, g.telefono, g.ciudad, date(o.fecha_creacion) as fecha_creacion,d.nombre as estado       
			  FROM guias_proceso as g ";
                 $add=" inner join devoluciones as d on g.id_devolucion=d.id_devolucion inner join estados_gestion as e on g.id_estado=e.id_estado inner join ordenes as o on (g.orden=o.orden) where g.id_planilla = '".$Plan."' ".$sql_add." order by id_conse LIMIT ".$inicio.",".$tamano_pagina;               
            }else{
             $sql="SELECT g.guia, g.orden, o.producto, g.empresa, g.destinatario, 
			  g.direccion, g.telefono, g.ciudad, date(o.fecha_creacion) as fecha_creacion,e.nombre as estado       
			  FROM guias_proceso as g ";
             $add=" inner join estados_gestion as e on g.id_estado=e.id_estado inner join ordenes as o on (g.orden=o.orden) where g.id_planilla = '".$Plan."' ".$sql_add." order by id_conse LIMIT ".$inicio.",".$tamano_pagina;   
            }            
                	 		  
			  $rst_select_lotes=$this->conexionObj2->consultar($sql.$add);			  
				
		  
			  echo "<tr class=miTable_tr>";
					echo "<td width=60 valign=top class=miTable_th1> $Tguia </td>";
                    echo "<td width=60 valign=top class=miTable_th1> ESTADO </td>";
					echo "<td width=60 valign=top class=miTable_th1>$Torden</td>";
					echo "<td width=60 valign=top class=miTable_th1>FECHA</td>";
					echo "<td width=240 valign=top class=miTable_th1>$Tdestinatario</td>";
					echo "<td width=140 valign=top class=miTable_th1>$Tdireccion</td>";
					echo "<td width=60 valign=top class=miTable_th1>$Ttelefono</td>";
					echo "<td width=80 valign=top class=miTable_th1>$Tciudad</td>";
					echo "<td width=100 valign=top class=miTable_th1>$Tproducto</td>";
					echo "<td width=140 valign=top class=miTable_th1>$Tempresa</td></tr>";
					
			  while($row_select_lotes=mysql_fetch_array($rst_select_lotes)){
			  		echo "<tr class=miTable_tr>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['guia']."</td>";
                    echo "<td valign=top class=miTable_td>".$row_select_lotes['estado']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['orden']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['fecha_creacion']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['destinatario']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['direccion']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['telefono']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['ciudad']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes[2]."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['empresa']."</td></tr>";

			  }
	
    
        return mysql_num_rows($rst_select_lotes);		  
	 }
}


$pendiente_odsObj=new pendiente_ods();
$pendiente_odsObj->detalle_guia($inicio,$tamano_pagina,$plan,$cons);
?>
<tr><td valign=top class=miTable_td colspan=10>
<div align="center">
<?
if($total_paginas>1)
		{   echo "Paginas:";
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href='lista_registros.php?pagina=".($start-1)."&tabla=$tabla&orden=$orden&id_mens=$id_mens&f1=$f1&f2=$f2'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='lista_registros.php?pagina=".($start+$i)."&tabla=$tabla&orden=$orden&id_mens=$id_mens&f1=$f1&f2=$f2'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='lista_registros.php?pagina=".($start+$i)."&tabla=$tabla&orden=$orden&id_mens=$id_mens&f1=$f1&f2=$f2'> >> </A>";

			}
		 
		 }
?>
</div>
</td></tr>
<tr><td valign=top class=miTable_th1 colspan=10></td></tr>
</table>
</CENTER>
<?
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
    echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
?>
<td>
<CENTER>
<? pie_de_pagina();?>
</CENTER>
</td>
	<?php
   echo"</tr>";
   echo"</tbody></table>";
   echo"</body>";
   echo"</html>";
?>